# Submitting a signature request

{% hint style="info" %}
You need to encode the message in hex before requesting a signature.
{% endhint %}

```javascript
const message = utf8ToHex("Altura Guard II Sign Message Demo", true);
```

<mark style="color:green;">`POST`</mark> `https://api.alturanft.com/api/alturaguard/request`

#### Request Body

| Name                                            | Type   | Description                             |
| ----------------------------------------------- | ------ | --------------------------------------- |
| token<mark style="color:red;">\*</mark>         | String | User token recieved when authenticating |
| reqParameters<mark style="color:red;">\*</mark> | array  | `["signature", message]`                |

{% tabs %}
{% tab title="200: OK requestId" %}

```javascript
requestId
```

{% endtab %}

{% tab title="400: Bad Request Invalid reqParameters" %}

{% endtab %}

{% tab title="401: Unauthorized Invalid token" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/api-reference/altura-guard-ii/transaction-requests/submitting-a-signature-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
